<?xml version="1.0" encoding="UTF-8"?>
<mapping>
  <description>Castor generated mapping file</description>
  <class cst:name="jp.terasoluna.rich.functionsample.inputcheck.bean.SingleData">
    <description>Default mapping for class jp.terasoluna.rich.functionsample.inputcheck.bean.SingleData</description>
    <map-to cst:xml="SingleData"/>
    <field cst:name="requiredTest" cst:type="java.lang.String">
      <bind-xml name="required" node="element"/>
    </field>                
    <field cst:name="maskTest" cst:type="java.lang.String">
      <bind-xml name="mask" node="element"/>
    </field>                    
    <field cst:name="byteTest" cst:type="java.lang.String">
      <bind-xml name="byte" node="element"/>
    </field>    
    <field cst:name="shortTest" cst:type="java.lang.String">
      <bind-xml name="short" node="element"/>
    </field>        
    <field cst:name="integerTest" cst:type="java.lang.String">
      <bind-xml name="integer" node="element"/>
    </field>                
    <field cst:name="longTest" cst:type="java.lang.String">
      <bind-xml name="long" node="element"/>
    </field>            
    <field cst:name="floatTest" cst:type="java.lang.String">
      <bind-xml name="float" node="element"/>
    </field>                
    <field cst:name="doubleTest" cst:type="java.lang.String">
      <bind-xml name="double" node="element"/>
    </field>                    
    <field cst:name="dateTest" cst:type="java.lang.String">
      <bind-xml name="date" node="element"/>
    </field>    
    <field cst:name="intRangeTest" cst:type="java.lang.String">
      <bind-xml name="intRange" node="element"/>
    </field>        
    <field cst:name="doubleRangeTest" cst:type="java.lang.String">
      <bind-xml name="doubleRange" node="element"/>
    </field>                
    <field cst:name="floatRangeTest" cst:type="java.lang.String">
      <bind-xml name="floatRange" node="element"/>
    </field>                
    <field cst:name="maxlengthTest" cst:type="java.lang.String">
      <bind-xml name="maxlength" node="element"/>
    </field>                    
    <field cst:name="minlengthTest" cst:type="java.lang.String">
      <bind-xml name="minlength" node="element"/>
    </field>    
    <field cst:name="alphaNumericStringTest" cst:type="java.lang.String">
      <bind-xml name="alphaNumericString" node="element"/>
    </field>        
    <field cst:name="capAlphaNumericStringTest" cst:type="java.lang.String">
      <bind-xml name="capAlphaNumericString" node="element"/>
    </field>                
    <field cst:name="numberTest" cst:type="java.lang.String">
      <bind-xml name="number" node="element"/>
    </field>                
    <field cst:name="hankakuKanaStringTest" cst:type="java.lang.String">
      <bind-xml name="hankakuKanaString" node="element"/>
    </field>                    
    <field cst:name="hankakuStringTest" cst:type="java.lang.String">
      <bind-xml name="hankakuString" node="element"/>
    </field>    
    <field cst:name="zenkakuStringTest" cst:type="java.lang.String">
      <bind-xml name="zenkakuString" node="element"/>
    </field>        
    <field cst:name="zenkakuKanaStringTest" cst:type="java.lang.String">
      <bind-xml name="zenkakuKanaString" node="element"/>
    </field>                
    <field cst:name="prohibitedTest" cst:type="java.lang.String">
      <bind-xml name="prohibited" node="element"/>
    </field>                
    <field cst:name="numericStringTest" cst:type="java.lang.String">
      <bind-xml name="numericString" node="element"/>
    </field>                    
    <field cst:name="stringLengthTest" cst:type="java.lang.String">
      <bind-xml name="stringLength" node="element"/>
    </field>    
    <field cst:name="urlTest" cst:type="java.lang.String">
      <bind-xml name="url" node="element"/>
    </field>        
    <field cst:name="dateRangeTest" cst:type="java.lang.String">
      <bind-xml name="dateRange" node="element"/>
    </field>                
    <field cst:name="byteRangeTest" cst:type="java.lang.String">
      <bind-xml name="byteRange" node="element"/>
    </field>                    
    <field cst:name="arrayRangeTest" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="arrayRange" node="element"/>
    </field>                        
  </class>
</mapping>